Latest 0.3.8
Homepage https://github.com/pabloroca/PR2StudioSwift
License MIT
Platforms ios 11.0
Dependencies Alamofire
Authors

Build Status
Cocoapods
Carthage compatible
Swift
Platform

Contents

Requirements

  • iOS 11.0+
  • Xcode 9.0+
  • Swift 4.0+

Installation

CocoaPods

CocoaPods is a dependency manager for Cocoa projects. You can install it with the following command:

$ gem install cocoapods

CocoaPods 1.1.0+ is required to build PR2StudioSwift

To integrate PR2StudioSwift into your Xcode project using CocoaPods, specify it in your Podfile:

source 'https://github.com/CocoaPods/Specs.git'
platform :ios, '11.0'
use_frameworks!

target '<Your Target Name>' do
    pod 'PR2StudioSwift'
end

Then, run the following command:

$ pod install

Carthage

Carthage is a decentralized dependency manager that builds your dependencies and provides you with binary frameworks.

You can install Carthage with Homebrew using the following command:

$ brew update
$ brew install carthage

To integrate PR2StudioSwift into your Xcode project using Carthage, specify it in your Cartfile:

github "pabloroca/PR2StudioSwift"

Run carthage update to build the framework and drag the built PR2StudioSwift.framework into your Xcode project.

Manually

If you prefer not to use either of the aforementioned dependency managers, you can integrate PR2StudioSwift into your project manually.


Jazzy

Doc generation in ,/docs folder. See it here: https://rawgit.com/pabloroca/PR2StudioSwift/master/docs/index.html

https://github.com/realm/jazzy

Script to run

jazzy 
  --clean 
  --author PabloRoca 
  --author_url https://pr2studio.com 
  --module-version 1.00 
  --xcodebuild-arguments -scheme,PR2StudioSwift 
  --module PR2StudioSwift 
  --output docs 
  --min-acl internal

Credits

Pablo Roca Rozas, [email protected]

License

PR2StudioSwift is available under the MIT license. See the LICENSE file for more info.

Latest podspec

{
    "name": "PR2StudioSwift",
    "version": "0.3.8",
    "summary": "Swift base library used for PR2Studio projects",
    "description": "PR2StudioSwift is the base library for developing Swift projects. Most of the projects from PR2Studio uses it.",
    "homepage": "https://github.com/pabloroca/PR2StudioSwift",
    "license": "MIT",
    "authors": {
        "Pablo Roca Rozas": "[email protected]"
    },
    "source": {
        "git": "https://github.com/pabloroca/PR2StudioSwift.git",
        "tag": "0.3.8"
    },
    "platforms": {
        "ios": "11.0"
    },
    "source_files": "Source/*.swift",
    "dependencies": {
        "Alamofire": [
            "~> 4.6"
        ]
    }
}

Pin It on Pinterest

Share This